namespace NotepadEnhanced.GUI.Controls.Panels
{
    public partial class DocInfoPanel : LargePanelBase
    {
        public DocInfoPanel()
        {
            InitializeComponent();
        }

        public void SetDocumentName(string name)
        {
            lblDocName.Text = name;
        }

        public void SetCharacterCount(int count)
        {
            lblCharCount.Text = count.ToString();
        }

        public void SetWordCount(int count)
        {
            lblWordCount.Text = count.ToString();
        }

        public void SetSentenceCount(int count)
        {
            lblSentCount.Text = count.ToString();
        }

        public string DocumentFormat
        {
            get { return lblDocumentFormat.Text; }
            set { lblDocumentFormat.Text = value; }
        }
    }
}
